implicit real*8(a-h, o-z)
!n文字のasciiコードの長さはn+4, 日本語は2n+4
character ronbun(50)*106, kouho(50,3)*22, kouhom(50,3)*106, abc(3)*5,r*6
dimension kubun(50)
do i=1,50
kubun(i)=1
end do
kubun(2)=0
kubun(4)=2 !報告は2とする。
n=4
abc(1)="a"
abc(2)="b"
abc(3)="c"
kouhom(1,1)="01a安部 公房      abe@aaa.bbb.ac.jp"
kouhom(1,2)="01b長谷川真理子 hasegawa@ccc.ddd.ac.jp"
kouhom(1,3)="01c福永 武彦      hukunaga@eee.fff.ac.jp"
kouhom(2,1)="02a筒井 康隆      tutui@ggg.hhh.ac.jp"
kouhom(2,2)="02b星 新一         hosi@iii.jjj.ac.jp"
kouhom(2,3)="02c青木 薫        aoki@kkk.lll.ac.jp"
kouhom(3,1)="03a藤野 恵美      huzino@mmm.nnn.ac.jp"
kouhom(3,2)="03b原 博           hara@ooo.ppp.ac.jp"
kouhom(3,3)="03c高橋 悠治       yuuzi@qqq.rrr.ac.jp"
kouhom(4,1)="04a高橋 アキ       aki@sss.ttt.ac.jp"
kouhom(4,2)="04b仲道 郁代       nakamiti@uuu.vvv.ac.jp"
kouhom(4,3)="04c北川曉子         kitagawa@www.xxx.ac.jp"
!候補者名を上記から切り取る。
!最初は論文番号も入れておいて、動作確認後に削除
kouho(1,1)="01a安部 公房"
kouho(1,2)="01b長谷川真理子"
kouho(1,3)="01c福永 武彦"
kouho(2,1)="02a筒井 康隆"
kouho(2,2)="02b星 新一"
kouho(2,3)="02c青木 薫"
kouho(3,1)="03a藤野 恵美"
kouho(3,2)="03b原 博"
kouho(3,3)="03c高橋 悠治"
kouho(4,1)="04a高橋 アキ"
kouho(4,2)="04b仲道 郁代"
kouho(4,3)="04c北川曉子"
!
ronbun(1)="音符密度に対する規則性密度の定量化について"
ronbun(2)="フーガの技法を学習させたAIによる未完のフーガ完成の試み"
ronbun(3)="機能和声を自動的に満たすカノン旋律生成プログラムの開発"
ronbun(4)="バッハらしさ指数を用いた遺作・偽作の判別"
!
do i=1,n
write(r,'(i2.2)') i
open(8,file=r)
do j=1,3
write(8,'("*****************************************************************")')
write(8,'(a90)') kouhom(i,j)
write(8,'("対位法学会論文集査読協力のお願い(",i2.2,a1,")")') i,abc(j)
write(8,*)
write(8,'(a22,a4)') kouho(i,j),'殿'
write(8,*)
write(8,'("                                      対位法学会")')
write(8,'("                                      論文編集委員会委員長 後藤 文彦")')
write(8,'("")')
write(8,'("　この度は、対位法学会論文集の査読を引き受けていただき、")')
write(8,'("誠にありがとうございました。")')
write(8,'("査読票と修正意見を作成いただき、査読票・修正意見提出フォームから、")')
write(8,'("10月18日(金)までに提出して下さい。")')
write(8,'("既にご提出いただいた方は、ご協力ありがとうございました。")')
write(8,'("")')
write(8,'(a15,i2.2)') '論文番号：',i
write(8,'(a15,a106)') 'タイトル：',ronbun(i)
if(kubun(i)==1) then
write(8,'("査読区分：論文")')
else if(kubun(i)==2) then
write(8,'("査読区分：報告")')
else
write(8,'("査読区分：エラー")')
end if
write(8,'("査読者番号：",i2.2,a1)') i,abc(j)
write(8,'("（複数の論文の査読を担当される場合、論文ごとに査読者番号は変わります）")')
write(8,'("")')
write(8,'("査読要領(http://www.str.ce.akita-u.ac.jp/~gotou/)")')
write(8,'("査読票(http://www.str.ce.akita-u.ac.jp/~gotou/)")')
write(8,'("修正意見(http://www.str.ce.akita-u.ac.jp/~gotou/)")')
write(8,'("査読票・修正意見提出フォーム(http://www.str.ce.akita-u.ac.jp/~gotou/)")')
write(8,'("")')
write(8,'("以上、よろしくお願いいたします。")')
end do
close(8)
end do
end
